/* **********************************************************
 * Copyright 2021 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

BEGIN;

/*
 * Holds information for the source container
 */
CREATE TABLE IF NOT EXISTS NduSourceContainerConnection (
  UUID UUID REFERENCES NduUpgrade(UUID),
  HOSTNAME VARCHAR(256) NOT NULL,
  USERNAME VARCHAR(128) NOT NULL,
  PASSWORD VARCHAR(256) NOT NULL,
  SSL_VERIFY bool NOT NULL,
  PORT NUMERIC NOT NULL,
  THUMBPRINT VARCHAR(256),
  THUMBPRINT_ALGO VARCHAR(128),
  PRIMARY KEY (UUID)
);

INSERT INTO UpgradeTracking VALUES(:ndu_id, :ndu_operation);

COMMIT;